.df{
    display: flex;
}
.f1{
    flex: 1;
}
.ai_c{
    align-items: center;
}
.jc_c{
    justify-content: center;
}
.jc_sb{
    justify-content: space-between;
}
.jc_e{
    justify-content: end;
}
.ta_c{
    text-align: center;
}
.ta_l{
    text-align: left;
}
.ta_r{
    text-align: right;
}
.va_m{
    vertical-align: middle;
}
.va_b{
    vertical-align: bottom;
}
.ellipsis1{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.fw_n{
    flex-wrap: nowrap;    
}